import { t as definePluginEntry } from "../../plugin-entry-D0csrIe8.js";
import { t as buildFalImageGenerationProvider } from "../../image-generation-provider-Bl7OnUWe.js";
import { t as buildFalMusicGenerationProvider } from "../../music-generation-provider-DrV7aatG.js";
import { t as createFalProvider } from "../../provider-registration-dKhC8SQc.js";
import { t as buildFalVideoGenerationProvider } from "../../video-generation-provider-BazZemgu.js";
var fal_default = definePluginEntry({
	id: "fal",
	name: "fal Provider",
	description: "Bundled fal image, video, and music generation provider",
	register(api) {
		api.registerProvider(createFalProvider());
		api.registerImageGenerationProvider(buildFalImageGenerationProvider());
		api.registerMusicGenerationProvider(buildFalMusicGenerationProvider());
		api.registerVideoGenerationProvider(buildFalVideoGenerationProvider());
	}
});
//#endregion
export { fal_default as default };
